### Signal

# Gtk SignalListItemFactory::bind

#### Declaration

    void
    bind (
      GtkSignalListItemFactory self,
      GtkListItem* listitem,
      gpointer user_data
    )

#### Description [src]

Emitted when a new `GtkListItem:item` has been set on the `listitem` and should be bound for use.

After this signal was emitted, the listitem might be shown in a `GtkListView` or other list widget.

The `GtkSignalListItemFactory::unbind` signal is the opposite of this signal and can be used to undo everything done in this signal.

Default handler: | The default handler is called before the handlers added via `g_signal_connect()`.

#### Parameters

`listitem` | `GtkListItem`
| The `GtkListItem` to bind.
| The data is owned by the caller of the function.